summaryrefslogtreecommitdiff
path: root/dev-python/jsonpatch/jsonpatch-1.15.ebuild
diff options
context:
space:
mode:
authorZac Medico <zmedico@gentoo.org>2017-02-26 22:21:13 -0800
committerZac Medico <zmedico@gentoo.org>2017-02-26 22:21:13 -0800
commitf96f6b25cf097814db43722325186def6cc35d7c (patch)
tree3f02c082b583db3a2e07f0e08fe98dce04d0f4be /dev-python/jsonpatch/jsonpatch-1.15.ebuild
parent7ee3ba9dc689d2891eeb11f17f750eb7b593c68d (diff)
downloadgentoo-f96f6b25cf097814db43722325186def6cc35d7c.tar.gz
gentoo-f96f6b25cf097814db43722325186def6cc35d7c.tar.bz2
gentoo-f96f6b25cf097814db43722325186def6cc35d7c.zip
dev-python/jsonpatch: version bump to 1.15
Package-Manager: Portage-2.3.3, Repoman-2.3.1
Diffstat (limited to 'dev-python/jsonpatch/jsonpatch-1.15.ebuild')
-rw-r--r--dev-python/jsonpatch/jsonpatch-1.15.ebuild29
1 files changed, 29 insertions, 0 deletions
diff --git a/dev-python/jsonpatch/jsonpatch-1.15.ebuild b/dev-python/jsonpatch/jsonpatch-1.15.ebuild
new file mode 100644
index 000000000000..841ba4ab3d14
--- /dev/null
+++ b/dev-python/jsonpatch/jsonpatch-1.15.ebuild
@@ -0,0 +1,29 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+PYTHON_COMPAT=( python2_7 python3_{4,5,6} pypy )
+
+RESTRICT="test"
+
+inherit distutils-r1
+
+DESCRIPTION="Apply JSON-Patches according to
+ http://tools.ietf.org/html/draft-pbryan-json-patch-04"
+HOMEPAGE="https://github.com/stefankoegl/python-json-patch"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~x86 ~amd64-linux ~x86-linux"
+IUSE="test"
+
+RDEPEND=">=dev-python/jsonpointer-1.9[${PYTHON_USEDEP}]"
+DEPEND="dev-python/setuptools[${PYTHON_USEDEP}]
+ test? ( ${RDEPEND} )"
+
+python_test() {
+ "${PYTHON}" tests.py || die "Tests of tests.py fail with ${EPYTHON}"
+ "${PYTHON}" ext_tests.py || die "Tests of ext_tests.py fail with ${EPYTHON}"
+}